if { [lsearch $auto_path $dir] == -1 } {
	lappend auto_path $dir
	if {![catch {package vcompare [info patchlevel] [info patchlevel]}]} {
		if {![package vsatisfies [info patchlevel] 8.3.1]} {
			foreach tlf [glob -nocomplain [file join $dir * pkgIndex.tcl]] {
				set dir [file dirname $tlf]
				source $tlf
			}
			catch {unset tlf}
		}
	}
}
package ifneeded tcllib 1.1 {
	catch {package require base64}
	catch {package require cmdline}
	catch {package require comm}
	catch {package require control}
	catch {package require csv}
	catch {package require counter}
	catch {package require struct}
	catch {package require fileutil}
	catch {package require ftp}
	catch {package require ftpd}
	catch {package require javascript}
	catch {package require html}
	catch {package require math}
	catch {package require md5}
	catch {package require mime}
	catch {package require ncgi}
	catch {package require nntp}
	catch {package require pop3}
	catch {package require profiler}
	catch {package require textutil}
	catch {package require uri}
	catch {package require log}
	catch {package require htmlparse}
	catch {package require report}
	catch {package require sha1}
	catch {package require smtp}
	package provide tcllib 1.1
}
